Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZNotificationEventFilter Class Reference

The class eZNotificationEventFilter does. More...

## Static Public Member Functions
static | process ()
static | availableHandlers ()
static | loadHandler ( $directories, $handlerString)
static | cleanup ()

## Detailed Description

The class eZNotificationEventFilter does.

Definition at line 16 of file eznotificationeventfilter.php.

## Member Function Documentation

## ◆ availableHandlers()

static eZNotificationEventFilter::availableHandlers | ( |  | ) |
| static

Definition at line 65 of file eznotificationeventfilter.php.

References eZExtension\baseDirectory(), and loadHandler().

Referenced by cleanup(), eZGeneralDigestHandler\fetchHandlersForUser(), and process().

## ◆ cleanup()

static eZNotificationEventFilter::cleanup | ( |  | ) |
| static

Goes through all event handlers and tells them to cleanup.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 130 of file eznotificationeventfilter.php.

References availableHandlers(), and eZDB\instance().

## ◆ loadHandler()

static eZNotificationEventFilter::loadHandler | ( |  | $directories,
|  |  | $handlerString
| ) |  |
| static

Definition at line 88 of file eznotificationeventfilter.php.

References eZExtension\baseDirectory(), and eZDebug\writeError().

Referenced by availableHandlers().

## ◆ process()

static eZNotificationEventFilter::process | ( |  | ) |
| static

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 22 of file eznotificationeventfilter.php.

References availableHandlers(), eZContentObject\clearCache(), eZNotificationCollectionItem\fetchCountForEvent(), eZNotificationEvent\fetchUnhandledList(), eZDB\instance(), eZNotificationCollection\removeEmpty(), eZNotificationEvent\STATUS_HANDLED, and eZDebug\writeError().

The documentation for this class was generated from the following file:

- eznotificationeventfilter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.